type NODE_ENV = 'development' | 'production';

export const env = process.env.NODE_ENV as NODE_ENV;

export const OSSBaseURL =
  env === 'development'
    ? 'https://waterdroptest2.oss-cn-hangzhou.aliyuncs.com/'
    : 'https://parkmanagement.oss-cn-hangzhou.aliyuncs.com/';

export const combineURLs = (baseURL: string, relativeURL: string) => {
  return relativeURL
    ? baseURL.replace(/\/+$/, '') + '/' + relativeURL.replace(/^\/+/, '')
    : baseURL;
};

export const isAbsoluteURL = (url: string) => {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(url);
};

export function setOSSLink(url: string) {
  if (!url) {
    return '';
  }
  if (!isAbsoluteURL(url)) {
    return combineURLs(OSSBaseURL, url);
  }
  return url;
}
